searchData={"items":[{"type":"module","title":"SWTPM","doc":"Software TPM emulator.","ref":"SWTPM.html"},{"type":"function","title":"SWTPM.child_spec/1","doc":"Integrates the `SWTPM` module with a supervision tree, providing a\nstandardized way to configure and start the Software TPM emulator as a\nsupervised process.","ref":"SWTPM.html#child_spec/1"},{"type":"function","title":"Options - SWTPM.child_spec/1","doc":"- `:state_dir` - Specifies the directory where the TPM state will be stored.\n\n- `:server_port` - Specifies the TCP port used for the TPM server. Defaults\n  to `2321`.\n\n- `:ctrl_port` - Specifies the TCP port used for TPM control commands.\n  Defaults to `2322`.\n\n- `:flags` - Refer to https://man.archlinux.org/man/swtpm.8.en for full list\n  of flags. Defaults to `[:not_need_init, :startup_clear]`.","ref":"SWTPM.html#child_spec/1-options"},{"type":"function","title":"Example - SWTPM.child_spec/1","doc":"```elixir\nchildren = [\n  {SWTPM, [state_dir: \"/data/tpm\"]}\n]\n\nSupervisor.start_link(children, [strategy: :one_for_one, name: MySupervisor])\n```","ref":"SWTPM.html#child_spec/1-example"},{"type":"extras","title":"swtpm","doc":"# swtpm\n\nAn easy way to bring a Software TPM emulator into your elixir application by\nwrapping [swtpm](https://github.com/stefanberger/swtpm).","ref":"readme.html"},{"type":"extras","title":"Prerequisites - swtpm","doc":"Ensure the following are installed on your host system:\n* [libtasn1](https://www.gnu.org/software/libtasn1/)\n* [json-glib-1.0](https://wiki.gnome.org/Projects/JsonGlib)\n* [libseccomp](https://github.com/seccomp/libseccomp)\n* [gmp](https://gmplib.org/)","ref":"readme.html#prerequisites"},{"type":"extras","title":"Installation - swtpm","doc":"The package can be installed by adding `swtpm` to your list of dependencies\nin `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:swtpm, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Supervision - swtpm","doc":"Add the `SWTPM` module spec to your `application.ex`. For more details see docs\nfor `&SWTPM.child_spec/1`.\n\n```elixir\ndefp children(:host) do\n  [\n    {SWTPM, [state_dir: \"data/tpm\"]}\n  ]\nend\n```","ref":"readme.html#supervision"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}